Apache mod_proxy_ajp 信息泄漏漏洞

CVE编号

CVE-2009-1191

利用情况

暂无

补丁情况

N/A

披露时间

2009-04-24
漏洞描述
mod_proxy_ajp.c in the mod_proxy_ajp module in the Apache HTTP Server 2.2.11 allows remote attackers to obtain sensitive response data, intended for a client that sent an earlier POST request with no request body, via an HTTP request.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html
http://osvdb.org/53921
http://secunia.com/advisories/34827
http://secunia.com/advisories/35395
http://secunia.com/advisories/35721
http://security.gentoo.org/glsa/glsa-200907-04.xml
http://support.apple.com/kb/HT3937
http://svn.apache.org/viewvc/httpd/httpd/trunk/CHANGES?r1=766938&r2=767089
http://www.apache.org/dist/httpd/patches/apply_to_2.2.11/PR46949.diff
http://www.mandriva.com/security/advisories?name=MDVSA-2009:102
http://www.mandriva.com/security/advisories?name=MDVSA-2013:150
http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html
http://www.securityfocus.com/bid/34663
http://www.securitytracker.com/id?1022264
http://www.ubuntu.com/usn/usn-787-1
http://www.vupen.com/english/advisories/2009/1147
http://www.vupen.com/english/advisories/2009/3184
https://exchange.xforce.ibmcloud.com/vulnerabilities/50059
https://issues.apache.org/bugzilla/show_bug.cgi?id=46949
https://lists.apache.org/thread.html/8d63cb8e9100f28a99429b4328e4e7cebce861d5...
https://lists.apache.org/thread.html/f7f95ac1cd9895db2714fa3ebaa0b94d0c6df360...
https://lists.apache.org/thread.html/r57608dc51b79102f3952ae06f54d5277b649c86...
https://lists.apache.org/thread.html/r75cbe9ea3e2114e4271bbeca7aff96117b50c1b...
https://lists.apache.org/thread.html/r7dd6be4dc38148704f2edafb44a8712abaa3a2b...
https://lists.apache.org/thread.html/r84d043c2115176958562133d96d851495d712aa...
https://lists.apache.org/thread.html/r9ea3538f229874c80a10af473856a81fbf5f694...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rad01d817195e6cc871cb1d73b207ca326379a20...
https://lists.apache.org/thread.html/rc4c53a0d57b2771ecd4b965010580db355e3813...
https://lists.apache.org/thread.html/rdca61ae990660bacb682295f2a09d34612b7bb5...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://lists.apache.org/thread.html/rfbaf647d52c1cb843e726a0933f156366a806ce...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache apache_http_server 2.2.11 -
运行在以下环境
系统 suse_12 apache2 * Up to
(excluding)
2.4.10-6
CVSS3评分
5.0
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
  • 保密性
    部分地
  • 完整性
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况